# GaodeProjection

#### new Cesium.GaodeProjection(ellipsoid)
MapGIS/Project/GaodeProjection.js 22

Name | Type | Default | Description
--- | --- | --- | ---
`ellipsoid` | Ellipsoid | `Ellipsoid.WGS84` | optional 默认采取WGS椭球.

Author:
  - 基础平台-潘卓然

##### See:

- GeographicProjection
- https://en.wikipedia.org/wiki/Mercator_projection

### Members

#### static Cesium.GaodeProjection.MaximumLatitude : Number
MapGIS/Project/GaodeProjection.js 85

The maximum latitude (both North and South) supported by a Web Mercator (EPSG:3857) projection. Technically, the Mercator projection is defined for any latitude up to (but not including) 90 degrees, but it makes sense to cut it off sooner because it grows exponentially with increasing latitude. The logic behind this particular cutoff value, which is the one used by Google Maps, Bing Maps, and Esri, is that it makes the projection square. That is, the rectangle is equal in the X and Y directions. The constant value is computed by calling: GaodeProjection.mercatorAngleToGeodeticLatitude(Math.PI)

#### readonly ellipsoid : Ellipsoid
MapGIS/Project/GaodeProjection.js 37

获取椭球 `Ellipsoid`.

### Methods

#### static Cesium.GaodeProjection.geodeticLatitudeToMercatorAngle(latitude) → Number
MapGIS/Project/GaodeProjection.js 60

将经纬度坐标的 [-PI/2, PI/2], 转换成墨卡托的角度[-PI, PI].

Name | Type | Description
--- | --- | ---
`latitude` | Number | 需要转换的经纬度坐标的角度.

##### Returns:

墨卡托坐标下的弧度. 本质上这个地方的弧度指的是 墨卡托坐标下的Y值 / 椭球半径R

#### static Cesium.GaodeProjection.mercatorAngleToGeodeticLatitude(mercatorAngle) → Number
MapGIS/Project/GaodeProjection.js 50

将墨卡托的角度[-PI, PI], 转换成经纬度坐标的 [-PI/2, PI/2].

Name | Type | Description
--- | --- | ---
`mercatorAngle` | Number | 需要转换墨卡托坐标的弧度. 本质上这个地方的弧度指的是 墨卡托坐标下的Y值 / 椭球半径R

##### Returns:

经纬度坐标下的弧度.

#### project(cartographic, result) → Cartesian3
MapGIS/Project/GaodeProjection.js 97

Converts geodetic ellipsoid coordinates, in radians, to the equivalent Web Mercator X, Y, Z coordinates expressed in meters and returned in a `Cartesian3`. The height is copied unmodified to the Z coordinate.

Name | Type | Description
--- | --- | ---
`cartographic` | Cartographic | The cartographic coordinates in radians.
`result` | Cartesian3 | optional The instance to which to copy the result, or undefined if a new instance should be created.

##### Returns:

The equivalent web mercator X, Y, Z coordinates, in meters.

#### unproject(cartesian, result) → Cartographic
MapGIS/Project/GaodeProjection.js 128

Converts Web Mercator X, Y coordinates, expressed in meters, to a `Cartographic` containing geodetic ellipsoid coordinates. The Z coordinate is copied unmodified to the height.

Name | Type | Description
--- | --- | ---
`cartesian` | Cartesian3 | The web mercator Cartesian position to unrproject with height (z) in meters.
`result` | Cartographic | optional The instance to which to copy the result, or undefined if a new instance should be created.

##### Returns:

The equivalent cartographic coordinates.